#include "init_fiscyear.h"

/*
 * init_fiscyear.c
 *
 * Program to initialize the database for a particular fiscal year
 *
 */

void main(int argc, char *argv[])
{
  char miscbuff[81];

  if (argc < 3) {
    fprintf(stderr, "Error: Missing parameters: starting and ending dates of fiscal year.\n");
    exit_nicely();
  }

   /* Initialize the backend */
   initBackend(DATABASE);

   /* start a transaction block */
   startTransaction();

   /* Prepare the query */
   sprintf(miscbuff, "INSERT INTO fiscyear VALUES ( '%s', '%s' )", argv[1], argv[2]);

   /* run the queries */
   runQuery(miscbuff);

   /* End the transaction */
   endTransaction();

   exit_nicely();
}
